import request from '@/utils/request'

// 查询聊天记录列表
export function listFastGptChatMsg(query) {
  return request({
    url: '/fastGpt/fastGptChatMsg/list',
    method: 'get',
    params: query
  })
}

// 查询聊天记录详细
export function getFastGptChatMsg(msgId) {
  return request({
    url: '/fastGpt/fastGptChatMsg/' + msgId,
    method: 'get'
  })
}

// 新增聊天记录
export function addFastGptChatMsg(data) {
  return request({
    url: '/fastGpt/fastGptChatMsg',
    method: 'post',
    data: data
  })
}

// 修改聊天记录
export function updateFastGptChatMsg(data) {
  return request({
    url: '/fastGpt/fastGptChatMsg',
    method: 'put',
    data: data
  })
}

// 删除聊天记录
export function delFastGptChatMsg(msgId) {
  return request({
    url: '/fastGpt/fastGptChatMsg/' + msgId,
    method: 'delete'
  })
}

// 导出聊天记录
export function exportFastGptChatMsg(query) {
  return request({
    url: '/fastGpt/fastGptChatMsg/export',
    method: 'get',
    params: query
  })
}
